MARTe2-core - User story #244

Windows file implementation
20.10.2015 11:17 - André Neto

Status: Closed Start date: 20.10.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.8 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Implement the Windows File stream based on the previous MARTe implementation.

Source code files modified

Architecture & design review

Date of the review: 23/10/2015
Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 20/11/2015

Person who did the review: André Neto

Result of review: PASS

List of non-conformities: N/A.

Unit test review

Date of the review: 20/11/2015

Person who did the review: André Neto

Result of coverage tests review: PASS

Result of functional tests review: N/A

Result of review: PASS

List of non-conformities:

Note: some tests unrelated to this user-story are failing on Windows:

[ FAILED ] BufferedStreamIGTest.TestPrintFormatted_Pointer_BufferSize_1
[ FAILED ] BufferedStream|GTest.TestPrintFormatted_Pointer_BufferSize_2
FAILED ] BufferedStreamIGTest.TestPrintFormatted_Pointer_BufferSize_8
FAILED ] BufferedStreamIGTest.TestPrintFormatted_Pointer_BufferSize_64
FAILED ] BufferedStream|GTest.TestPrintFormatted_Pointer_BufferSize_128
FAILED ] BufferedStreamIGTest.TestPrintFormatted Pointer_BufferSize_1024
FAILED ] IOBufferGTest.TestPrintFormatted_Pointer

FAILED ] IOBufferGTest.TestPrintFormattedMultiple

——————

Associated revisions

Revision 34046b39 - 30.10.2015 08:51 - lvan Herrero

#244 - Preliminary version of BasicFile implementation for Windows
- Add FileSystem/L1Portability (with Environment\Windows inside)
- Add BasicFile.h

- Add BasicFile.cpp for Windows

- Update existing makefiles and create new ones for FileSystem and
BasicFile.

Revision 48698cdf - 30.10.2015 10:18 - Ivan Herrero

#244 - Preliminary version of BasicFile implementation for Windows
- Add FileSystem/L1Portability (with Environment\Windows inside)
- Add BasicFile.h

- Add BasicFile.cpp for Windows

- Update existing makefiles and create new ones for FileSystem and
BasicFile.

Revision bfb12767 - 04.11.2015 19:22 - lvan Herrero

#244 - Finish BasicFile implementation for Windows

- Document all methods of BasicFile.

- Add hidden implementation by means of BasicFileProperties.

- Change calls to 32 bits versions of Win32 file functions with its 64

bits counterparts (functions tailed with "Ex").
- Add implementation for read/write methods with timeout.

Revision a01fc168 - 05.11.2015 17:42 - Ilvan Herrero

#244 - Add error handling reporting for system calls and for
preconditions.

Revision 8da20b53 - 06.11.2015 15:38 - Ilvan Herrero

#244 - Format makefiles of Scheduler.

Revision 890d4c67 - 06.11.2015 15:43 - Ivan Herrero

#244 - Fix makefiles for compiling, on Windows, of FileSystem in general
and BasicFile in particular.

Revision ca41b465 - 06.11.2015 15:45 - lvan Herrero
#244 - Configure BasicFile for linking it into Windows DLL's.

Revision 5fa896b9 - 10.11.2015 11:47 - lvan Herrero

#244 - Minor documentation changes

Revision b648961c - 10.11.2015 14:54 - Ivan Herrero

#244 - Synchronise function prototypes of BasicFile between .h and .cpp
files.

Revision f5a03fc9 - 17.11.2015 11:08 - lvan Herrero

#244 - Import changes from #243_Linux_File branch and improve FileSystem
implementation for Windows.

- Import constants for integer limits on CompilerTypes from
#243_Linux_File branch.

- Import BasicFileTest and BasicFileGTest from #243_Linux_File branch.
- Update Makefile.inc files on all folders related with FileSystem.
- Add Makefile.msc files on all folders related with FileSystem.
- Fix bugs on implementation of BasicFile for Windows detected after
executing unit tests.

Revision 50614177 - 17.11.2015 13:07 - lvan Herrero

#244 - Add missing Makefile files for BasicFile unit testing on Windows.

Revision 1bafc4ac - 19.11.2015 09:56 - lvan Herrero

#244 - First version of Windows implementation for BasicFile.

Note: Makefiles and units tests updated.

Revision 85b755a3 - 19.11.2015 12:33 - Ivan Herrero
Merge branch 'develop' into #244_Windows_File_bis

Revision f63c48e0 - 19.11.2015 16:54 - Ivan Herrero

#244 - Fix flags bugs on Windows implementation for BasicFile.

Revision b1¢39f2a - 19.11.2015 18:12 - lvan Herrero

#244 - Change default value of flags on BasicFile.

Revision 30932140 - 19.11.2015 19:15 - lvan Herrero
#244 - Improvement of the Windows implementation for the assignment
operator and copy constructor of BasicFile.

- The assignment operator now releases the handle of the assigned
object, but in case of error, mantains its previous state.

- The copy constructor implementation has been refactored to mirror the
assignment operator one.

Revision a6b9c80f - 20.11.2015 10:59 - André Neto
#244 Ready to be merged in develop

History

#1 - 23.10.2015 13:20 - André Neto

- Status changed from New to Code: Impl

#2 - 23.10.2015 13:24 - André Neto

- Description updated

#3 - 23.10.2015 13:30 - André Neto

- Target version set to 0.7

#4 - 26.10.2015 10:38 - Ivan Herrero

- Assignee set to Ivan Herrero

#5 - 06.11.2015 16:23 - lvan Herrero
- Status changed from Code: Impl to Code: Rev

- Assignee deleted (lvan Herrero)

#6 - 10.11.2015 17:37 - André Neto

- Target version changed from 0.7 to 0.8

#7 - 10.11.2015 17:49 - Riccardo Vitelli
- Status changed from Code: Rev to Code: Impl

#8 - 10.11.2015 17:49 - Riccardo Vitelli

- Assignee set to Ivan Herrero
#9 - 20.11.2015 10:47 - André Neto
- Status changed from Code: Impl to Code: Rev

#10 - 20.11.2015 10:49 - André Neto
- Description updated

- Assignee changed from Ivan Herrero to André Neto

#11 - 20.11.2015 11:02 - André Neto
- Status changed from Code: Rev to Unit: Impl

#12 - 20.11.2015 11:02 - André Neto

- Assignee changed from André Neto to Ivan Herrero

#13 - 20.11.2015 11:02 - André Neto
- Status changed from Unit: Impl to Unit: Rev

#14 - 20.11.2015 11:02 - André Neto

- Assignee changed from Ivan Herrero to André Neto

#15 - 20.11.2015 11:03 - André Neto
- Assignee deleted (André Neto)

#16 - 20.11.2015 11:16 - André Neto

Merged in develop in commit a6b9c80fae412edf15a936fc087b078a7b01932d

#17 - 20.11.2015 11:16 - André Neto
- Status changed from Unit: Rev to Closed
